Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.jmx
Class MxQuery

    java.lang.Object
      org.hyperic.hq.product.jmx.MxQuery

Direct Known Subclasses:
  MxServerQuery, MxServiceQuery

    public abstract class MxQuery

extends Object

Field Summary
`protected static Properties` | `EMPTY_PROPERTIES`
`protected static org.apache.commons.logging.Log` | `log`
`protected ObjectName` | `objectName`
`static String` | `PROP_ATTRIBUTE_NAME`
`static String` | `PROP_MBEAN_CLASS`
`static String` | `PROP_OBJECT_NAME`
`static String` | `PROP_OBJECT_NAME_FILTER`

Constructor Summary
`MxQuery()`

Method Summary
`String` | `getAttribute(String name)`
`String` | `getAttribute(String name, String defval)`
`String[]` | `getAttributeNames()`
`void` | `getAttributes(MBeanServerConnection mServer)`
`void` | `getAttributes(MBeanServerConnection mServer, ObjectName name, String[] attrs)`
`Properties` | `getControlConfig()`
`Properties` | `getCustomProperties()`
`abstract String` | `getIdentifier()`
`String` | `getName()`
`ObjectName` | `getObjectName()`
`MxQuery` | `getParent()`
`abstract String` | `getQualifiedName()`
`Properties` | `getResourceConfig()`
`abstract String` | `getResourceType()`
`ServerDetector` | `getServerDetector()`
`String` | `getURL()`
`boolean` | `hasControl()`
`void` | `initialize()`
`void` | `setAttribute(String name, String val)`
`void` | `setName(String name)`
`void` | `setServerDetector(ServerDetector detector)`
`void` | `setURL(String url)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_OBJECT_NAME

    public static final String PROP_OBJECT_NAME

See Also:
  Constant Field Values

### PROP_ATTRIBUTE_NAME

    public static final String PROP_ATTRIBUTE_NAME

See Also:
  Constant Field Values

### PROP_MBEAN_CLASS

    public static final String PROP_MBEAN_CLASS

See Also:
  Constant Field Values

### PROP_OBJECT_NAME_FILTER

    public static final String PROP_OBJECT_NAME_FILTER

See Also:
  Constant Field Values

### EMPTY_PROPERTIES

    protected static final Properties EMPTY_PROPERTIES

### log

    protected static final org.apache.commons.logging.Log log

### objectName

    protected ObjectName objectName

Constructor Detail

### MxQuery

    public MxQuery()

Method Detail

### initialize

    public void initialize()

### getObjectName

    public ObjectName getObjectName()

### getCustomProperties

    public Properties getCustomProperties()

### getAttributeNames

    public String[] getAttributeNames()

### getAttributes

    public void getAttributes(MBeanServerConnection mServer)
                       throws PluginException

  Throws:
    `PluginException`

### setURL

    public void setURL(String url)

### getURL

    public String getURL()

### setServerDetector

    public void setServerDetector(ServerDetector detector)

### getServerDetector

    public ServerDetector getServerDetector()

### getAttributes

    public void getAttributes(MBeanServerConnection mServer,
                              ObjectName name,
                              String[] attrs)
                       throws PluginException

  Throws:
    `PluginException`

### getAttribute

    public String getAttribute(String name)

### getAttribute

    public String getAttribute(String name,
                               String defval)

### setAttribute

    public void setAttribute(String name,
                             String val)

### getName

    public String getName()

### setName

    public void setName(String name)

### getQualifiedName

    public abstract String getQualifiedName()

### getResourceType

    public abstract String getResourceType()

### getIdentifier

    public abstract String getIdentifier()

### getParent

    public MxQuery getParent()

### hasControl

    public boolean hasControl()

### getResourceConfig

    public Properties getResourceConfig()

### getControlConfig

    public Properties getControlConfig()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.